API reference › @evolu/sqlite-wasm › c-api › sqlite3_uri_boolean

function sqlite3_uri_boolean(
  deps: SqliteWasmDep,
): (z: 0 | SqliteFilenamePtr, zParam: CStringPtr, bDefault: number) => number;

Defined in: packages/sqlite-wasm/src/CApi.ts:2954

Returns 1 when a filename's URI query parameter is yes, true or on in any case or starts with a non-zero number, 0 when it is no, false or off or starts with zero, and whether bDefault is non-zero otherwise, including for a NULL filename.

Wasm type i(iii). Signature ["sqlite3_uri_boolean", "int", "sqlite3_filename", "string", "int"] from SQLite's table.

See https://sqlite.org/c3ref/uri_boolean.html.